Chapter 3. Using
Prev | Part I. Introduction | Next

## Chapter 3. Using

## Command Options

The set of features available in the GNU C++ library is shaped by several GCC Command Options. Options that impact libstdc++ are enumerated and detailed in the table below.

The standard library conforms to the dialect of C++ specified by the `-std` option passed to the compiler. By default, g++ is equivalent to g++ -std=gnu++14 since GCC 6, and g++ -std=gnu++98 for older releases.

Table 3.1. C++ Command Options

Option Flags | Description
--- | ---
`-std=c++98` or `-std=c++03` | Use the 1998 ISO C++ standard plus amendments.
`-std=gnu++98` or `-std=gnu++03` | As directly above, with GNU extensions.
`-std=c++11` | Use the 2011 ISO C++ standard.
`-std=gnu++11` | As directly above, with GNU extensions.
`-std=c++14` | Use the 2014 ISO C++ standard.
`-std=gnu++14` | As directly above, with GNU extensions.
`-fexceptions` | See exception-free dialect
`-frtti` | As above, but RTTI-free dialect.
`-pthread` or `-pthreads` | For ISO C++11 `<thread>`, `<future>`, `<mutex>`, or `<condition_variable>`.
`-latomic` | Linking to `libatomic` is required for some uses of ISO C++11 `<atomic>`.
`-lstdc++fs` | Linking to `libstdc++fs` is required for use of the Filesystem library extensions in `<experimental/filesystem>`.
`-fopenmp` | For parallel mode.

Prev | Up | Next
Make | Home | Headers